> For the complete documentation index, see [llms.txt](https://docs.apollopayment.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apollopayment.io/english-2/api-reference/03addresses/post_last-transaction.md).

# Last transaction of the address

The method allows you to get the last transaction of the address.

## Description of fields

| Field             | Type                                        | Description                                                    |
| ----------------- | ------------------------------------------- | -------------------------------------------------------------- |
| `id`              | `string`                                    | Transaction ID                                                 |
| `status`          | `enum(processed, error, rejected, pending)` | Transaction status                                             |
| `type`            | `enum(withdrawal, deposit)`                 | Transaction type                                               |
| `currrency`       | `string`                                    | Coin                                                           |
| `network`         | `string`                                    | Network                                                        |
| `addressFrom`     | `string`                                    | The address from which the coins were sent                     |
| `addressTo`       | `string`                                    | The address that received the coins                            |
| `amount`          | `string`                                    | Transaction amount                                             |
| `tx`              | `string`                                    | TX hash in the blockchain                                      |
| `feeCurrency`     | `string or null`                            | (When withdrawal) Commission Coin                              |
| `feeAmount`       | `string or null`                            | (When withdrawal) The amount of the commission                 |
| `feeAmountUSD`    | `string or null`                            | (When withdrawal) The amount of the commission in terms of USD |
| `Withdrawal`      | `string or null`                            | ID of the withdrawal in the system                             |
| `orphanDepositId` | `string or null`                            | ID of the orphan transaction in the system                     |
| `createdAt`       | `string`                                    | Date of transaction                                            |

{% openapi src="/files/hz5gQVHu2gDZcTYbWeSA" path="/api-gateway/addresses/last-transaction" method="post" %}
[openapi.json](https://615678623-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fa1TzfeK1Z0GLFNxiNpMW%2Fuploads%2Fgit-blob-8361e5ac3780661a20a51ec0d96901ce1db69b92%2Fopenapi.json?alt=media)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apollopayment.io/english-2/api-reference/03addresses/post_last-transaction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
